IBM Support

PH04844: JAVASSIST USED BY THE APPLICATION IS COLLIDED WITH JAVASSIST VERSION USED BY CDI

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • The application failed to start when it attempts to use its own
    version of javassist. It collides with the version of javassist
    used by CDI.  The below error is seen in the SystemOut.log:
    
    
     java.lang.ClassCastException:
    org.omnifaces.VetoAnnotatedTypeExtension_$$_javassist_0
    incompatible with javassist.util.proxy.ProxyObject
    at
    org.apache.webbeans.proxy.JavassistProxyFactory.createNormalScop
    edBeanProxy(JavassistProxyFactory.java:225)
    at
    org.apache.webbeans.container.BeanManagerImpl.getReference(BeanM
    anagerImpl.java:943)
    at
    org.apache.webbeans.event.ObserverMethodImpl.notify(ObserverMeth
    odImpl.java:279)
    

Local fix

  • Upgrade WebSphere Application Server to version 9.0
    

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  All users of IBM WebSphere Application      *
    *                  Server                                      *
    ****************************************************************
    * PROBLEM DESCRIPTION: Using javassist as an application       *
    *                      libaray causes ClassCastException       *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    When used inside as an application libary javassit clashes
    with the version of javassist packaged by open webbeans
    causing a ClassCastException.
    

Problem conclusion

  • There is no solution to prevent javassist clashing when used
    in an application libary, but the javassist version shipped
    with websphere was updated so it could be more easily used in
    customer applications
    
    The fix for this APAR is currently targeted for inclusion in
    fix pack 8.5.5.15.  Please refer to the Recommended Updates
    page for delivery information:
    http://www.ibm.com/support/docview.wss?rs=180&uid=swg27004980
    

Temporary fix

Comments

APAR Information

  • APAR number

    PH04844

  • Reported component name

    WEBS APP SERV N

  • Reported component ID

    5724H8800

  • Reported release

    850

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2018-11-05

  • Closed date

    2019-02-28

  • Last modified date

    2019-02-28

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WEBS APP SERV N

  • Fixed component ID

    5724H8800

Applicable component levels

  • R850 PSY

       UP

[{"Business Unit":{"code":"BU059","label":"IBM Software w\/o TPS"},"Product":{"code":"SSEQTP","label":"WebSphere Application Server"},"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"8.5","Line of Business":{"code":"LOB45","label":"Automation"}}]

Document Information

Modified date:
28 April 2022